TeensyDuino not recognizing Arduino on OpenSUSE

I am having trouble installing teensyduino for arduino 1.6.7, it says that only the original arduino is supported, not the Linux distros. I was wondering where I can get the original, as well as whether anyone knows how to fix this. Thanks.

https://forum.pjrc.com/forum.php

Pete